#!/bin/sh

#    COPYRIGHT BY Enrico "ErolM^A" Trombetta (erolm_a@trasporti360.net)
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

#    Call this file as you want.

INTERNET_IP="8.8.8.8"
LOGFILE="/var/log/connection.log" #feel free to choose a name and a path; for instance, it could be "/var/log/tikona_conn.log or something like"
function notice {
        echo "LOG:  $1" >> $LOGFILE
}
function pingto {
    notice "Pinging to $1 $2 packets"
    LOG=`ping $1 -c $2 2>&1`
    RES=$?
    notice "$LOG"
    return $RES
}
function pythonWrapper {
    LOG="`python $1 -u $2`"
    RET=$?
    notice "$LOG"
    return $RET
}
function main {
    # global network test
    pingto $INTERNET_IP 5
    if [[ $? -eq 0 ]]; then
        # you are thankfully connected. Enjoy
        notice "You are (still) connected"
    else
        notice "Testing your local WISP..."
    #pingto "login.tikona.in" 5
    #if [[ $? -ne 0 ]]; then
           #notice "Disconnected from gateway?"
       #else
        #call the script
        pythonWrapper "/usr/bin/Tik.py" "1118647887" #or how you called it
        if [[ $? -eq 0 ]]; then
            notice "Sounds like you're connected, aren't you?"
        else
            notice "An unexpected error occurred"
        fi
    #fi
  fi
}
#call the procedure
main